#!/bin/sh

# $Id: udhcpd.conf.sh,v 1.6 2004/11/13 13:10:42 thomasez Exp $

. /etc/config
. /etc/inside.info

if [ $DOMAIN = "" ] && [ $CONNECT_TYPE = DHCP ];
 then
  DOMAIN=`grep -i '^domain' /etc/resolv.conf | sed -e 's/domain //`
 fi

search=`grep -i '^search' /etc/resolv.conf | sed -e 's/search //`

# [ $search ] && OPS="option          search          $search"

echo "SEARCH:$search"

cat >> /etc/udhcpd.conf <<EOF
interface       $INSIDE_DEVICE
start           $DHCP_RANGE_START
end             $DHCP_RANGE_END
# max_leases	103
lease_file      /var/state/udhcpd.leases
pidfile         /var/run/udhcpd.pid
option          dns             $INSIDE_IP
option          subnet          $INSIDE_NETMASK
option          broadcast       $INSIDE_BROADCAST
option          router          $INSIDE_IP
option          domain          $DOMAIN
option          search          $search
option          lease           864000                                   
$OPS
EOF

# Adding the /etc/ethers file:
sed -e '/^#/d;/^$/d;s/^/static_lease /' /etc/ethers >> /etc/udhcpd.conf
