$(MODULES_BASE_DIR)/ipvsmods.bz2: 
	-rm -r $(MODULES_BASE_DIR)/ipvsmods
	mkdir -p $(MODULES_BASE_DIR)/ipvsmods/lib/modules/$(LINUX_VERSION)/kernel/net/ipv4

	cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/kernel/net/ipv4/ipvs $(MODULES_BASE_DIR)/ipvsmods/lib/modules/$(LINUX_VERSION)/kernel/net/ipv4/.


	( cd $(MODULES_BASE_DIR)/ipvsmods; tar -cpvf ../ipvsmods.tar *; )
	/usr/bin/bzip2 -9 $(MODULES_BASE_DIR)/ipvsmods.tar
	mv $(MODULES_BASE_DIR)/ipvsmods.tar.bz2 $(MODULES_BASE_DIR)/ipvsmods.bz2

ipvsmods: $(MODULES_BASE_DIR)/ipvsmods.bz2

ipvsmods-clean:
	-rm -f $(MODULES_BASE_DIR)/ipvsmods.bz2
