#############################################################
#
# modules, or rather, the packages.
#
#############################################################

include $(BASE_DIR)/makefiles/modpack/*.mk

$(MODULES_DIR)/.stripped:
	-rm $(MODULES_DIR)/lib/modules/drivers
	-rm $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/build
	-find $(MODULES_DIR) -name "*.o" -exec strip -g -R .comment -R .note {} \;
	-rm $(MODULES_BASE_DIR)/*.bz2
	touch $(MODULES_DIR)/.stripped

module-packages: $(MODULES_DIR)/.stripped basemods nics pcmciabase \
	tcmods idemods pcmcia pppmods ebtablesmods ipvsmods
	# tcmods idemods pcmcia pppmods ipvsmods

module-packages-clean: 
	-rm -f $(MODULES_BASE_DIR)/basemods.bz2
	-rm -f $(MODULES_BASE_DIR)/nics.bz2
	-rm -f $(MODULES_BASE_DIR)/pcmciabase.bz2
	-rm -f $(MODULES_BASE_DIR)/tcmods.bz2
	-rm -f $(MODULES_BASE_DIR)/idemods.bz2
	-rm -f $(MODULES_BASE_DIR)/pcmcia.bz2
	-rm -f $(MODULES_BASE_DIR)/pppmods.bz2
	-rm -f $(MODULES_BASE_DIR)/ebtables.bz2
	-rm -f $(MODULES_BASE_DIR)/ipvsmods.bz2

module-packages-dirclean: module-packages-clean
	-rm -rf $(MODULES_DIR)/lib
	-rm -f $(MODULES_DIR)/.stripped

