SOEKRIS_DIR=$(BASE_DIR)/$(SOEKRIS_DIR)-$(FLOPPYFW_VERSION)

soekrisdir:
	-mv $(SOEKRIS_DIR).old $(SOEKRIS_DIR).old2
	-mv $(SOEKRIS_DIR) $(BASE_DIR)/$(SOEKRIS_DIR).old
	-rm -rf $(SOEKRIS_DIR).old2
	-mkdir $(SOEKRIS_DIR)

	mkdir $(SOEKRIS_DIR)/packages
	mkdir $(SOEKRIS_DIR)/modules
	mkdir $(SOEKRIS_DIR)/live

	cp $(INITRD_DIR)/initrd.gz $(SOEKRIS_DIR)/initrd.gz
	cp $(ADD_DIR)/add.bz2 $(SOEKRIS_DIR)/.

	cat $(SCRIPTS_DIR)/config | sed -e 's/vc\/3/tts\/0/' > $(SOEKRIS_DIR)/config

	cp $(SCRIPTS_DIR)/hosts $(SOEKRIS_DIR)/.
	cp $(SCRIPTS_DIR)/ethers $(SOEKRIS_DIR)/.
	cp $(SCRIPTS_DIR)/firewall.ini $(SOEKRIS_DIR)/.
	cp $(SCRIPTS_DIR)/network.ini $(SOEKRIS_DIR)/.
	cp $(SCRIPTS_DIR)/floppyfw.ini $(SOEKRIS_DIR)/.
	cp $(SCRIPTS_DIR)/floppyfw.msg $(SOEKRIS_DIR)/.
	cp $(SCRIPTS_DIR)/syslinux.cfg-soekris $(SOEKRIS_DIR)/syslinux.cfg
	cp $(SCRIPTS_DIR)/modules.lst.soekris $(SOEKRIS_DIR)/modules.lst
	cp -a $(MODULES_DIR)/lib/modules $(SOEKRIS_DIR)/live/.
	cp $(LINUX_KERNEL) $(SOEKRIS_DIR)/vmlinuz

	cp $(PACKAGES_DIR)/ppp.bz2 $(SOEKRIS_DIR)/packages/.

	cp $(PACKAGES_DIR)/pcmcia-cs.bz2 $(SOEKRIS_DIR)/packages/.
	cp $(PACKAGES_DIR)/scripts/pre-pcmcia.ini $(SOEKRIS_DIR)/packages/.
	cp $(PACKAGES_DIR)/scripts/pre-wireless.ini $(SOEKRIS_DIR)/packages/.


soekrisimage: $(PACKAGES_DIR)/ppp.bz2 $(PACKAGES_DIR)/pcmcia-cs.bz2 initrd-ide add-package soekrisdir

soekris-dirclean:
	-rm -rf  $(BASE_DIR)/$(SOEKRIS_DIR)
